---
title: HTMLImageElement.src
slug: Web/API/HTMLImageElement/src
tags:
  - 1x
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Reference
  - URL
  - fallback
  - source
  - src
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The {{domxref("HTMLImageElement")}} property <strong><code>src</code></strong>, which reflects the HTML {{htmlattrxref("src", "img")}} attribute, specifies the image to display in the {{HTMLElement("img")}} element.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>htmlImageElement</em>.src = <em>newSource</em>;
let <em>src</em> = <em>htmlImageElement</em>.src;</pre>

<h3 id="Value">Value</h3>

<p>When providing only a single image, rather than a set of images from which the browser selects the best match for the viewport size and display pixel density, the <code>src</code> attribute is a {{domxref("USVString")}} specifying the URL of the desired image. This can be set either within the HTML itself using the {{htmlattrxref("src", "img")}} content attribute, or programmatically by setting the element's <code>src</code> property.</p>

<p>If you use the {{htmlattrxref("srcset", "img")}} content attribute to provide multiple image options for different display pixel densities, the URL specified by the <code>src</code> attribute is used in one of two ways:</p>

<ul>
 <li>as a fallback for browsers that don't support <code>srcset</code>.</li>
 <li>as an equivalent for specifying an image in <code>srcset</code> with the size multiplier <code>1x</code>; that is, the image specified by <code>src</code> is used on low-density screens (such as typical 72 DPI or 96 DPI displays).</li>
</ul>

<p>Additionally, if you use <code>src</code> along with <em>both</em> {{domxref("HTMLImageElement.sizes", "sizes")}} (or the corresponding {{htmlattrxref("sizes", "img")}} content attribute) <em>and</em> <code>srcset</code> in order to choose an image based on the viewport size, the <code>src</code> attribute is only used as a fallback for browsers that don't support <code>sizes</code> and <code>srcset</code>; otherwise, it's not used at all.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Specifying_a_single_image">Specifying a single image</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;img src="https://interactive-examples.mdn.mozilla.net/media/examples/grapefruit-slice-332-332.jpg"
     width="160"
     alt="Slices of grapefruit, looking yummy."&gt;
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Specifying_a_single_image", 640,200)}}</p>

<h3 id="Using_src_with_an_image_set">Using src with an image set</h3>

<p>When using a set of images with the {{domxref("HTMLImageElement.srcset", "srcset")}} property, the <code>src</code> serves as either a fallback for older browsers, or as the <code>1x</code> size of the image.</p>

<h4 id="HTML_2">HTML</h4>

<h4 id="Result_2">Result</h4>

<h3 id="Specifying_a_fallback_for_viewport-based_selection">Specifying a fallback for viewport-based selection</h3>

<p>When using viewport-bases selection of an image from a <code>srcset</code> by also specifying the {{domxref("HTMLImageElement.sizes", "sizes")}} property, the <code>src</code> property serves as the fallback to be used on browsers that don't support viewport-based selection. Browsers that <em>do</em> support viewport-based selection will ignore <code>src</code> in this situation.</p>

<h4 id="HTML_3">HTML</h4>

<h4 id="Result_3">Result</h4>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-img-src', 'HTMLImageElement.src')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.src")}}</p>
